|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QSqlDatabase

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSqlDatabase class reference

## Public Functions

QSqlRecord | record ( const QSqlQuery & query ) const
QSqlRecord | recordInfo ( const QString & tablename ) const
QSqlRecord | recordInfo ( const QSqlQuery & query ) const

## Member Function Documentation

### QSqlRecord QSqlDatabase::record ( const QSqlQuery & query ) const

Use query.record() instead.

### QSqlRecord QSqlDatabase::recordInfo ( const QString & tablename ) const

Use record() instead.

### QSqlRecord QSqlDatabase::recordInfo ( const QSqlQuery & query ) const

Use query.record() instead.